in scala.dbc.result
class Field

abstract `class` Field
  `extends` java.lang.Object
  `with` scala.ScalaObject

  An ISO-9075:2003 (SQL) table field.

Constructor Summary
| `def` this

Def Summary
`final` | `def` approximateNumericValue [ NativeType ] : scala.dbc.value.ApproximateNumeric[NativeType]
`final` | `def` booleanValue : scala.dbc.value.Boolean
`final` | `def` characterLargeObjectValue : scala.dbc.value.CharacterLargeObject
`final` | `def` characterValue : scala.dbc.value.Character
`final` | `def` characterVaryingValue : scala.dbc.value.CharacterVarying
| `def` content : scala.dbc.Value The content (value) of the field. The type of this value is undefined, transformation into a useful type will be done by an automatic view function defined in the field object.
`final` | `def` exactNumericValue [ NativeType ] : scala.dbc.value.ExactNumeric[NativeType]
| `def` metadata : scala.dbc.result.FieldMetadata The field metadata attached to this field.
| `def` originatingTuple : scala.dbc.result.Tuple The tuple that contains this field.
`final` | `def` unknownValue : scala.dbc.value.Unknown
`final` | `def` value [ Type <: scala.dbc.Value ] : Type

Constructor Detail

`def` this

Def Detail

final `def` approximateNumericValue [ NativeType ] : scala.dbc.value.ApproximateNumeric[NativeType]

final `def` booleanValue : scala.dbc.value.Boolean

final `def` characterLargeObjectValue : scala.dbc.value.CharacterLargeObject

final `def` characterValue : scala.dbc.value.Character

final `def` characterVaryingValue : scala.dbc.value.CharacterVarying

`def` content : scala.dbc.Value

  The content (value) of the field. The type of this value is undefined, transformation into a useful type will be done by an automatic view function defined in the field object.

final `def` exactNumericValue [ NativeType ] : scala.dbc.value.ExactNumeric[NativeType]

`def` metadata : scala.dbc.result.FieldMetadata

  The field metadata attached to this field.

`def` originatingTuple : scala.dbc.result.Tuple

  The tuple that contains this field.

final `def` unknownValue : scala.dbc.value.Unknown

final `def` value [ Type <: scala.dbc.Value ] : Type